import type { TAppNotificationApiError } from '@commercetools-frontend/constants';
type ExtraErrorExtensionsFields = {
    field?: string;
    duplicateValue?: string;
    referencedBy?: string;
    invalidValue?: string | {
        overlappingPrices: string;
    } | {
        validFrom: string;
        validUntil: string;
    };
};
export type ExtraErrorFields = ExtraErrorExtensionsFields & {
    errorByExtension?: {
        id: string;
        key?: string;
    };
    localizedMessage?: {
        [locale: string]: string;
    };
    detailedErrorMessage?: string;
    attribute?: {
        name: string;
    };
    extensions?: ExtraErrorExtensionsFields;
};
type Props = {
    error: TAppNotificationApiError<ExtraErrorFields>;
};
declare const ApiErrorMessage: {
    (props: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default ApiErrorMessage;
